org.gjt.sp.jedit.bufferset

## Class BufferSetAdapter

- java.lang.Object
- - org.gjt.sp.jedit.bufferset.BufferSetAdapter

- All Implemented Interfaces:
    java.util.EventListener, BufferSetListener

      public class BufferSetAdapter
      extends java.lang.Object
      implements BufferSetListener

  Since:
    jEdit 4.3pre15

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferSetAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bufferAdded(Buffer buffer, int index)` A buffer was added in the bufferSet.
    `void` | `bufferMoved(Buffer buffer, int oldIndex, int newIndex)` A buffer was moved in the BufferSet.
    `void` | `bufferRemoved(Buffer buffer, int index)` A buffer was removed from the bufferSet.
    `void` | `bufferSetSorted()` The bufferSet was sorted.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferSetAdapter

          public BufferSetAdapter()

  - ### Method Detail

    - #### bufferAdded

          public void bufferAdded(Buffer buffer,
                                  int index)

      Description copied from interface: `BufferSetListener`
      A buffer was added in the bufferSet.
      Specified by:
        `bufferAdded` in interface `BufferSetListener`
      Parameters:
        `buffer` - the buffer
        `index` - the position where it was added

    - #### bufferRemoved

          public void bufferRemoved(Buffer buffer,
                                    int index)

      Description copied from interface: `BufferSetListener`
      A buffer was removed from the bufferSet.
      Specified by:
        `bufferRemoved` in interface `BufferSetListener`
      Parameters:
        `buffer` - the removed buffer
        `index` - the position where the buffer was

    - #### bufferMoved

          public void bufferMoved(Buffer buffer,
                                  int oldIndex,
                                  int newIndex)

      Description copied from interface: `BufferSetListener`
      A buffer was moved in the BufferSet.
      Specified by:
        `bufferMoved` in interface `BufferSetListener`
      Parameters:
        `buffer` - the moved buffer
        `oldIndex` - the old index
        `newIndex` - the new index

    - #### bufferSetSorted

          public void bufferSetSorted()

      Description copied from interface: `BufferSetListener`
      The bufferSet was sorted.
      Specified by:
        `bufferSetSorted` in interface `BufferSetListener`